type Params = { layerId: string; slug: string };

export async function GET(req: Request, { params }: { params: Params }) {
  const { searchParams } = new URL(req.url);

  const { layerId, slug } = params;
  const returnGeometry = searchParams.get("returnGeometry") === "true";

  const url = new URL(`https://ags.cuzk.cz`);
  url.pathname = `/arcgis/rest/services/RUIAN/Prohlizeci_sluzba_nad_daty_RUIAN/MapServer/${layerId}/query`;
  url.search = new URLSearchParams({
    f: "geojson",
    where: `objectid = ${slug}`,
    returnGeometry: returnGeometry.toString(),
    outFields: "*",
    outSR: "4326",
    inSR: "4326",
  }).toString();

  return new Response(
    JSON.stringify(await fetch(url).then((response) => response.json())),
    {
      headers: { "Content-Type": "application/json" },
    },
  );
}
