// curl 'https://ags.cuzk.cz/arcgis/rest/services/RUIAN/Prohlizeci_sluzba_nad_daty_RUIAN/MapServer/0?f=json' | jq '.fields[]'

/**
 * Druh číslování parcel
 */
export enum DruhCislovaniParcel {
  /**
   * Stavební
   */
  Stavebni = 1,
  /**
   * Pozemková
   */
  Pozemkova = 2,
}

/**
 * Druh pozemku
 */
export enum DruhPozemku {
  /**
   * Orná půda
   */
  OrnaPuda = 2,
  /**
   * Chmelnice
   */
  Chmelnice = 3,
  /**
   * Vinice
   */
  Vinice = 4,
  /**
   * Zahrada
   */
  Zahrada = 5,
  /**
   * Ovocný sad
   */
  OvocnySad = 6,
  /**
   * Trvalý travní porost
   */
  TrvalyTravniPorost = 7,
  /**
   * Lesní pozemek
   */
  LesniPozemek = 10,
  /**
   * Vodní plocha
   */
  VodniPlocha = 11,
  /**
   * Zastavěná plocha a nádvoří
   */
  ZastavenaPlochaANadvori = 13,
  /**
   * Ostatní plocha
   */
  OstatniPlocha = 14,
}

/**
 * Způsob využití pozemku
 */
export enum ZpusobVyuzitiPozemku {
  /**
   * Skleník, pařeniště
   */
  SklenikPareniste = 1,
  /**
   * Školka
   */
  Skolka = 2,
  /**
   * Plantáž dřevin
   */
  PlantazDrevin = 3,
  /**
   * Les jiný než hospodářský
   */
  LesJinyNezHospodarsky = 4,
  /**
   * Lesní pozemek, na kterém je budova
   */
  LesniPozemekNaKteremJeBudova = 5,
  /**
   * Rybník
   */
  Rybnk = 6,
  /**
   * Koryto vodního toku přirozené nebo upravené
   */
  KorytoVodnhoTokuPrirozeneNeboUpravene = 7,
  /**
   * Koryto vodního toku umělé
   */
  KorytoVodnhoTokuUmele = 8,
  /**
   * Vodní nádrž přírodní
   */
  VodniNadrzPrirodni = 9,
  /**
   * Vodní nádrž umělá
   */
  VodniNadrzUmele = 10,
  /**
   * Zamokřená plocha
   */
  ZamokrenaPlocha = 11,
  /**
   * Společný dvůr
   */
  SpolecnyDvur = 12,
  /**
   * Zbořeniště
   */
  Zboreniste = 13,
  /**
   * Dráha
   */
  Draha = 14,
  /**
   * Dálnice
   */
  Dalnice = 15,
  /**
   * Silnice
   */
  Silnice = 16,
  /**
   * Ostatní komunikace
   */
  OstatniKomunikace = 17,
  /**
   * Ostatní dopravní plocha
   */
  OstatniDopravniPlocha = 18,
  /**
   * Zeleň
   */
  Zelen = 19,
  /**
   * Sportoviště a rekreační plocha
   */
  SportovisteARekreacniPlocha = 20,
  /**
   * Pohřebiště
   */
  Pohrebiste = 21,
  /**
   * Kulturní a osvětová plocha
   */
  KulturniAOsvetovaPlocha = 22,
  /**
   * Manipulační plocha
   */
  ManipulacniPlocha = 23,
  /**
   * Dobývací prostor
   */
  DobyvaciProstor = 24,
  /**
   * Skládka
   */
  Skladka = 25,
  /**
   * Jiná plocha
   */
  JinaPlocha = 26,
  /**
   * Neplodná půda
   */
  NeplodnaPuda = 27,
  /**
   * Vodní plocha, na které je budova
   */
  VodniPlochaNaKteremJeBudova = 28,
  /**
   * Fotovoltaická elektrárna
   */
  FotovoltaickaElektrarna = 29,
  /**
   * Mez, stráň
   */
  MezStran = 30,
}

export interface RuianParcelaDefinicniBod {
  objectid: number;
  id: number;
  nespravny: string;
  kmenovecislo: number;
  poddelenicisla: number;
  vymeraparcely: number;
  zpusobyvyuzitipozemku: ZpusobVyuzitiPozemku;
  druhcislovanikod: DruhCislovaniParcel;
  druhpozemkukod: DruhPozemku;
  katastralniuzemi: number;
  platiod: Date;
  platido: Date;
  idtransakce: number;
  rizeniid: number;
  cisloparcely: string;
  katastralniuzemicisloparcely: string;
}
