// curl 'https://ags.cuzk.cz/arcgis/rest/services/RUIAN/Prohlizeci_sluzba_nad_daty_RUIAN/MapServer/0?f=json' | jq '.fields[]'

/**
 * Způsob využití pozemku
 */
export enum ZpusobVyuzitiKod {
  /**
   * Orná půda
   */
  OrnaPuda = 2,
  /**
   * Chmelnice
   */
  Chmelnice = 3,
  /**
   * Vinice
   */
  Vinice = 4,
  /**
   * Zahrada
   */
  Zahrada = 5,
  /**
   * Ovocný sad
   */
  OvocnySad = 6,
  /**
   * Trvalý travní porost
   */
  TrvalyTravniPorost = 7,
  /**
   * Trvalý travní porost
   */
  TrvalyTravniPorostDalsi = 8,
  /**
   * Lesní pozemek
   */
  LesniPozemek = 10,
  /**
   * Vodní plocha
   */
  VodniPlocha = 11,
  /**
   * Zastavěná plocha a nádvoří
   */
  ZastavenaPlochaANadvori = 13,
  /**
   * Ostatní plocha
   */
  OstatniPlocha = 14,
}

/**
 * Rozlišení druhu číslování parcely
 */
export enum DruhCislovaniKod {
  /**
   * Stavební
   */
  Stavebni = 1,
  /**
   * Pozemková
   */
  Pozemkova = 2,
}

/**
 * Druh pozemku
 */
export enum DruhPozemkuKod {
  /**
   * Orná půda
   */
  OrnaPuda = 2,
  /**
   * Chmelnice
   */
  Chmelnice = 3,
  /**
   * Vinice
   */
  Vinice = 4,
  /**
   * Zahrada
   */
  Zahrada = 5,
  /**
   * Ovocný sad
   */
  OvocnySad = 6,
  /**
   * Trvalý travní porost
   */
  TrvalyTravniPorost = 7,
  /**
   * Trvalý travní porost (další)
   */
  TrvalyTravniPorostDalsi = 8,
  /**
   * Lesní pozemek
   */
  LesniPozemek = 10,
  /**
   * Vodní plocha
   */
  VodniPlocha = 11,
  /**
   * Zastavěná plocha a nádvoří
   */
  ZastavenaPlochaANadvori = 13,
  /**
   * Ostatní plocha
   */
  OstatniPlocha = 14,
}

export interface RuianStavebnihoObjektuDefinicniBod {
  objectid: number;
  id: number;
  nespravny: string;
  kmenovecislo: string;
  poddelenicisla: string;
  vymeraparcely: string;
  zpusobyvyuzitipozemku: ZpusobVyuzitiKod;
  druhcislovanikod: DruhCislovaniKod;
  druhpozemkukod: DruhPozemkuKod;
  katastralniuzemi: string;
  platiod: number;
  platido: number;
  idtransakce: string;
  rizeniid: string;
  cisloparcely: string;
  katastralniuzemicisloparcely: string;
}
